All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::detail::printConstraint< P > Struct Template Reference

`#include <roboptim/core/problem.hxx>`

Inheritance diagram for roboptim::detail::printConstraint< P >:

## Public Member Functions

| printConstraint (std::ostream &o, const P &problem, std::size_t i)
template<typename U >
void | operator() (const U &constraint)

## Constructor & Destructor Documentation

template<typename P>

roboptim::detail::printConstraint< P >::printConstraint | ( | std::ostream & | o,
|  | const P & | problem,
|  | std::size_t | i
| ) |  |

inline

## Member Function Documentation

template<typename P>
template<typename U >

void roboptim::detail::printConstraint< P >::operator() | ( | const U & | constraint | ) |

inline

References roboptim::decindent(), roboptim::fg::fail(), roboptim::iendl(), roboptim::incindent(), roboptim::fg::ok(), and roboptim::fg::reset().